Package de.willuhn.jameica.hbci.gui.parts

# Class ProtokollList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.AbstractFromToList
de.willuhn.jameica.hbci.gui.parts.ProtokollList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class ProtokollList extends AbstractFromToList
Implementierung einer fix und fertig vorkonfigurierten Liste mit den Protokollen eines Kontos.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.gui.parts.AbstractFromToList

`i18n, listener, settings`

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners`

## Constructor Summary

Constructors
Constructor
Description
`ProtokollList(Konto konto, de.willuhn.jameica.gui.Action action)`
ct.

## Method Summary

Modifier and Type
Method
Description
`KontoInput`
`getKonto()`
Ueberschrieben, weil der User das hier nicht auswaehlen koennen soll.
`protected de.willuhn.datasource.rmi.DBIterator`
`getList(Object konto, Date from, Date to, String text)`
Liefert die Liste der fuer diesen Zeitraum geltenden Daten.

### Methods inherited from class de.willuhn.jameica.hbci.gui.parts.AbstractFromToList

`calculateSum, getButtons, getLeft, getRange, getSummary, getText, getTo, hasChanged, paint`

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, createFeatureEventContext, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProtokollList

public ProtokollList(Konto konto, de.willuhn.jameica.gui.Action action)
ct.

Parameters:
  `konto` -
  `action` -

## Method Details

### getKonto

public KontoInput getKonto() throws RemoteException
Ueberschrieben, weil der User das hier nicht auswaehlen koennen soll.

Overrides:
  `getKonto` in class `AbstractFromToList`
Returns:
  Auswahlfeld fuer das Konto.
Throws:
  `RemoteException`
See Also:
  - `AbstractFromToList.getKonto()`

### getList

protected de.willuhn.datasource.rmi.DBIterator getList(Object konto, Date from, Date to, String text) throws RemoteException
Description copied from class: `AbstractFromToList`
Liefert die Liste der fuer diesen Zeitraum geltenden Daten.

Specified by:
  `getList` in class `AbstractFromToList`
Parameters:
  `konto` - das Konto oder die Gruppe. Kann null sein.
  `from` - Start-Datum. Kann null sein.
  `to` - End-Datum. Kann null sein.
  `text` - Suchbegriff
Returns:
  Liste der Daten dieses Zeitraumes.
Throws:
  `RemoteException`
See Also:
  - `AbstractFromToList.getList(java.lang.Object, java.util.Date, java.util.Date, java.lang.String)`